Modify

Opened 2 weeks ago

Closed 2 weeks ago

#20521 closed defect (othersoftware)

les requêtes OVERPASS ne fonctionnent pas

Reported by: anonymous Owned by: anonymous
Priority: major Milestone:
Component: Core Version:
Keywords: template_report overpass download Cc:

Description

What steps will reproduce the problem?

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-12-28 22:03:23 +0100 (Mon, 28 Dec 2020)
Build-Date:2020-12-30 02:30:55
Revision:17428
Relative:URL: ^/trunk

Identification: JOSM/1.5 (17428 fr) Mac OS X 10.16
OS Build number: macOS 11.2 (20D64)
Memory Usage: 868 MB / 1820 MB (391 MB allocated, but free)
Java version: 1.8.0_281-b09, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.apple.laf.AquaLookAndFeel
Screen: Display 69734272 1440×900 (scaling 1,00×1,00)
Maximum Screen Size: 1440×900
Best cursor sizes: 16×16→16×16, 32×32→32×32
VM arguments: [-Djava.security.policy=file:<java.home>/lib/security/javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>/bin, -Djava.security.manager, -Djnlpx.origFilenameArg=${HOME}/Library/Application Support/Oracle/Java/Deployment/cache/6.0/56/1ee8cfb8-47ffee72, -Djnlpx.remove=false, -Dsun.awt.warmup=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=NULL,2048m, -Dmacosx.jnlpx.dock.name=JOSM, -Dmacosx.jnlpx.dock.icon=${HOME}/Library/Application Support/Oracle/Java/Deployment/cache/6.0/25/4c122699-3b989a01.icns, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm.jnlp , -Djnlpx.jvm="<java.home>/bin/java"]

Plugins:
+ apache-commons (35524)
+ areaselector (368)
+ austriaaddresshelper (1597341117)
+ cadastre-fr (35676)
+ continuosDownload (91)
+ contourmerge (v0.1.6)
+ ejml (35458)
+ geotools (35458)
+ jaxb (35543)
+ jts (35458)
+ log4j (35458)
+ opendata (35640)
+ osm-obj-info (56)
+ pbf (35650)
+ pt_assistant (2.1.10-80-g7d9bba3)
+ utilsplugin2 (35691)

Map paint styles:
+ https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1

Last errors/warnings:
- 00032,072 E: Handled by bug report queue: javax.json.stream.JsonParsingException: Unexpected char 60 at (line no=1, column no=1, offset=0)



=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (35) of javawsApplicationThreadGroup
javax.json.stream.JsonParsingException: Unexpected char 60 at (line no=1, column no=1, offset=0)
	at org.glassfish.json.JsonTokenizer.unexpectedChar(JsonTokenizer.java:601)
	at org.glassfish.json.JsonTokenizer.nextToken(JsonTokenizer.java:418)
	at org.glassfish.json.JsonParserImpl$NoneContext.getNextEvent(JsonParserImpl.java:426)
	at org.glassfish.json.JsonParserImpl.next(JsonParserImpl.java:376)
	at org.openstreetmap.josm.io.OsmJsonReader.parse(OsmJsonReader.java:55)
	at org.openstreetmap.josm.io.OsmJsonReader.lambda$doParseDataSet$6(OsmJsonReader.java:183)
	at org.openstreetmap.josm.io.AbstractReader.doParseDataSet(AbstractReader.java:300)
	at org.openstreetmap.josm.io.OsmJsonReader.doParseDataSet(OsmJsonReader.java:181)
	at org.openstreetmap.josm.io.OverpassDownloadReader.parseDataSet(OverpassDownloadReader.java:383)
	at org.openstreetmap.josm.io.BoundingBoxDownloader.parseOsm(BoundingBoxDownloader.java:198)
	at org.openstreetmap.josm.io.OverpassDownloadReader.parseOsm(OverpassDownloadReader.java:389)
	at org.openstreetmap.josm.actions.downloadtasks.DownloadOsmTask$DownloadTask.parseDataSet(DownloadOsmTask.java:462)
	at org.openstreetmap.josm.actions.downloadtasks.DownloadOsmTask$DownloadTask.realRun(DownloadOsmTask.java:470)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:94)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:142)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)

Attachments (0)

Change History (4)

comment:1 Changed 2 weeks ago by Don-vip

Ticket #20523 has been marked as a duplicate of this ticket.

comment:2 Changed 2 weeks ago by Don-vip

Keywords: overpass download added
Priority: normalmajor

comment:3 Changed 2 weeks ago by Don-vip

Owner: changed from team to anonymous
Status: newneedinfo

Work for me, please try again:

2021-02-22 19:24:05.606 INFO: GET https://nominatim.openstreetmap.org/search?format=xml&q=Toulouse -> HTTP/1.1 200 (298 ms)
2021-02-22 19:24:05.606 FINE: Downloading data...
2021-02-22 19:24:05.615 FINE: Area 'Toulouse' resolved to relation 35738
2021-02-22 19:24:05.617 INFO: POST https://overpass-api.de/api/interpreter (125 B) ...
2021-02-22 19:24:12.982 INFO: POST https://overpass-api.de/api/interpreter -> HTTP/1.1 200 (7.1 s)

comment:4 Changed 2 weeks ago by Don-vip

Resolution: othersoftware
Status: needinfoclosed

probably a temporary glitch on server side

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain anonymous.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.